### Enumeration

# Ggit SubmoduleUpdate

#### Declaration

    enum Ggit.SubmoduleUpdate

#### Description [src]

Describes how a submodule should be updated.

#### Members

`GGIT_SUBMODULE_UPDATE_CHECKOUT`

  Checkout the submodule.

  - Value: `1`
  - Available since: 1.0
`GGIT_SUBMODULE_UPDATE_REBASE`

  Rebase the current branch onto the commit recorded in the superproject.

  - Value: `2`
  - Available since: 1.0
`GGIT_SUBMODULE_UPDATE_MERGE`

  Merge the commit recorded in the superproject into the current branch.

  - Value: `3`
  - Available since: 1.0
`GGIT_SUBMODULE_UPDATE_NONE`

  Do not update this submodule.

  - Value: `4`
  - Available since: 1.0
`GGIT_SUBMODULE_UPDATE_DEFAULT`

  Not used except as static initializer when we don’t want any particular update rule to be specified.

  - Value: `0`
  - Available since: 1.0